at(ROW,COLUMN,BOARD,PIECE) :- row_to_int(ROW,RI),
	col_to_int(COLUMN,CI),
	ref(RI,BOARD,L), ref(CI,L,PIECE).

frame_obj([R1,C1,P1],[R2,C2,P2],[R1,C1,P3],[R2,C2,P4],B1,B2) :-
	frame(R1,C1,B1,B3),
	at(R1,C1,B1,P1),
	at(R2,C2,B1,P2),
	frame(R2,C2,B3,B2),
	at(R1,C1,B2,P3),
	at(R2,C2,B2,P4).


has_move(player_x,B) :- legal_move(player_x,B,_), !.
has_move(player_o,B) :- legal_move(player_o,B,_), !.

has_no_move(A,B) :- not(legal_move(A,B,_)).
